### Name: grid.convert
### Title: Convert Between Different grid Coordinate Systems
### Aliases: grid.convert grid.convertX grid.convertY grid.convertWidth
###   grid.convertHeight
### Keywords: dplot

### ** Examples

## A tautology
grid.convertX(unit(1, "inches"), "inches")
## The physical units
grid.convertX(unit(2.54, "cm"), "inches")
grid.convertX(unit(25.4, "mm"), "inches")
grid.convertX(unit(72.27, "points"), "inches")
grid.convertX(unit(1/12*72.27, "picas"), "inches")
grid.convertX(unit(72, "bigpts"), "inches")
grid.convertX(unit(1157/1238*72.27, "dida"), "inches")
grid.convertX(unit(1/12*1157/1238*72.27, "cicero"), "inches")
grid.convertX(unit(65536*72.27, "scaledpts"), "inches")
push.viewport(viewport(width=unit(1, "inches"),
                       height=unit(2, "inches"),
                       xscale=c(0, 1),
                       yscale=c(1, 3)))
  ## Location versus dimension
  grid.convertY(unit(2, "native"), "inches")
  grid.convertHeight(unit(2, "native"), "inches")
  ## From "x" to "y" (the conversion is via "inches")
  grid.convert(unit(1, "native"), "native",
               axisFrom="x", axisTo="y")
  ## Convert several values at once
  grid.convertX(unit(c(0.5, 2.54), c("npc", "cm")),
                c("inches", "native"))
pop.viewport()
## Convert a complex unit
grid.convertX(unit(1, "strwidth", "Hello"), "native")



